//
//  PartyEnregistery.swift
//  ArkitDoushiQi
//
//  Created by Louis DUFOUR on 31/05/2024.
//

import SwiftUI

import SwiftUI

struct PartyListView: View {
    let parties: [Party] = [
        Party(player1Name: "L'invaincu du samedi", player1Score: 2, player1Image: "Perceval", player2Name: "Le gars du dimanche", player2Score: 1, player2Image: "Perceval", date: "Samedi soir"),
        Party(player1Name: "Le champion du vendredi", player1Score: 3, player1Image: "Perceval", player2Name: "Le perdant du lundi", player2Score: 0, player2Image: "Perceval", date: "Vendredi soir")
        // Ajoutez plus de parties ici
    ]
    
    var body: some View {
        NavigationView {
            List(parties) { party in
                ItemCollectionParty(party: party)
                    .padding(.vertical, 5)
            }
            .navigationTitle("Liste des Parties")
        }
    }
}

struct PartyListView_Previews: PreviewProvider {
    static var previews: some View {
        PartyListView()
    }
}
